Main Page Class List Class Members

# Nv::Blast::FractureRTImpl Class Reference

`#include <NvBlastExtRTImpl.h>`

Inheritance diagram for Nv::Blast::FractureRTImpl:

List of all members.

## Public Member Functions
void | dumpChunksToObj (const char *path) override
| FractureRTImpl ()
virtual uint32_t * | getIndexBuffer () override
virtual uint32_t * | getIndexOffset () override
PerTriangleAdditionalData * | getPerTriangleData () override
virtual uint32_t | getResultChunkCount () override
virtual Vertex * | getVertexBuffer () override
virtual uint32_t * | getVertexOffset () override
virtual void | processMesh (DamagePattern *pattern, const Mesh *msh) override
virtual void | release () override

## Constructor & Destructor Documentation

Nv::Blast::FractureRTImpl::FractureRTImpl | ( |  | ) |

## Member Function Documentation

void Nv::Blast::FractureRTImpl::dumpChunksToObj | ( | const char * | path | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

virtual uint32_t* Nv::Blast::FractureRTImpl::getIndexBuffer | ( |  | ) | `[inline, override, virtual]`

Implements Nv::Blast::FractureRT.

virtual uint32_t* Nv::Blast::FractureRTImpl::getIndexOffset | ( |  | ) | `[inline, override, virtual]`

Implements Nv::Blast::FractureRT.

PerTriangleAdditionalData* Nv::Blast::FractureRTImpl::getPerTriangleData | ( |  | ) | `[inline, override, virtual]`

Implements Nv::Blast::FractureRT.

virtual uint32_t Nv::Blast::FractureRTImpl::getResultChunkCount | ( |  | ) | `[inline, override, virtual]`

Implements Nv::Blast::FractureRT.

virtual Vertex* Nv::Blast::FractureRTImpl::getVertexBuffer | ( |  | ) | `[inline, override, virtual]`

Implements Nv::Blast::FractureRT.

virtual uint32_t* Nv::Blast::FractureRTImpl::getVertexOffset | ( |  | ) | `[inline, override, virtual]`

Implements Nv::Blast::FractureRT.

virtual void Nv::Blast::FractureRTImpl::processMesh | ( | DamagePattern * | pattern,
|  | const Mesh * | msh |
| ) |  |  | `[override, virtual]`

Implements Nv::Blast::FractureRT.

virtual void Nv::Blast::FractureRTImpl::release | ( |  | ) | `[override, virtual]`

Implements Nv::Blast::FractureRT.

The documentation for this class was generated from the following file:

- sdk/extensions/RT/source/NvBlastExtRTImpl.h